S H O W   M E   M A T H - TM

                                U S E R   M A N U A L

                                     Version 2.2




NOTE:           If you are using an earlier version of Show Me Math, prior
                to version 2.1, you must either: erase all of the old Show
                Me Math files (including the '.pro' user files) OR create a
                new subdirectory for Version 2.2.  In either case, the
                '.pro' files for old versions are NOT compatible with
                versions prior to 2.1.


For questions, comments or problems, write to:

        Show Me Math
        P.O. Box 7452
        Overland Park, KS   66207

        We apologize we do not have a phone or a modem or a BBS, but
quite frankly we cannot afford any of the above.  This program was
developed on an 'AT' class computer, if you can believe that, and takes
over 3 and one-half hours to compile in the Microsoft C language.


        "Show Me Math" is a Trademark (TM) of R. Webster Kehr
        "Show Me Math" software is (c) 1991 - All Rights Reserved,
           by R. Webster Kehr
        This Manual is (c) 1991 - All Rights Reserved, by R. Webster Kehr



INTRODUCTION:

     Show Me Math is one of the best math education programs in the world
for students from age 4 all the way up to college pre-algebra.
The advantages of Show Me Math for middle school, high school, and college
students are very obvious and straightforward.  The advanced level options
(to be discussed below) are very easy to identify and use and higher level
curriculums are generally right on track, given the prior curriculums of
the students.

     The advantages of Show Me Math for younger students and children are
vastly more nebulous because math curriculums in grades K - 6 in the U.S.
move too slowly.  While some teachers would introduce division in 4th/5th
GRADE, we know children AGE 6 should be doing conceptual division problems.
Negatives should also be introduced around AGE 6.  By the time a student
reaches high school, they should have done Algebra I and Geometry as a 
minimum, but probably a lot more.  That's not in the current curriculum,
except for honor students.

     An example of how Show Me Math would teach conceptual division to 6
year olds will be show (there are many specific modules to accomplish all
of the tasks listed below):

1)   Learn to count FORWARDS past 100
2)   Learn addition by counting forwards
3)   Learn subtraction by counting forwards
4)   Learn multiplication by counting forwards
5)   Learn to count BACKWARDS from 100 to 0.
6)   Learn subtraction by counting backwards
7)   Learn division by counting backwards to 0 (a division problem such
     as 35 divided by 7 is really the answer to this question: how many
     times can you SUBTRACT 7 from 35? - division is really a special form
     of subtraction, where you continue to subtract until you get to zero)

     In short, as soon as a child can count backwards from 100 to 0, they
should be doing division!

     This is just one example of the difference between computer-aided
education and book-oriented education.  With a computer students can jump
around and be exposed to many different kinds of problems simultaneously.
This is vital because a student learns not to fear upcoming subject matter.
Books, on the other hand, have a severe case of tunnel-vision.  Books also
have very few practice problems and show how to solve very few problems in
detail.  Computers, on the other hand, provide the opportunity for unlimited
numbers of practice problems and the ability to display how to solve
virtually EVERY problem!

     Since Show Me Math is too new of a product and computer-aided
education has been so abused, no one really knows yet what younger students
are capable of doing!  Show Me Math is first and foremost a TOOL.  For now,
it is up to the parent or teacher to determine how best to use it.  If you
have any ideas, please write us.  The power of the computer in education
is very much in its formative stages and we are listening to parents,
teachers, educators and cognitive psychologists.


QUESTIONS AND ANSWERS ABOUT SHOW ME MATH tm

        Will this program run under Microsoft Windows?  Show Me Math
is a non-windows, DOS program.  Generally, it will run under Windows,
however, there are thousands of different memory resident programs,
some of which may conflict with Show Me Math in memory.  Sometimes,
even Windows itself will cause problems with non-windows programs,
such as when the "DOSKEY" or "APPEND" features are set.  Normally,
however, if you create a Show Me Math icon using the "Program
Manager" there will be no problems.  But if you have problems, write us
at the above address, tell us your system configuration and problem, and
we will try to work out any problems you encounter.  Usually we will
respond by phone.  We do have a phone, but we are never there to
answer it.

        Will this program run with a monochrome screen?  Generally, yes. 
Show Me Math, in fact, has special settings for highlighting, bolding and
underlining significant data on monochrome screens.  Show Me Math
senses what kind of screen your system says it has.   However, there are
many different kinds of nonstandard and even weird and strange
hardware/software configurations, some even from major vendors.  As
above, if you cannot get it to run, write us.

        Show Me Math is a huge program, will it run on 520k of memory? 
Even though Show Me Math is a huge program, only a moderate
percentage of the program is ever in memory at any given time.  Memory
should not be a problem.  However, if when you try to run this program
you get an error message with the word "memory" in it, or some other
error message, and the program will not load, you are probably running
on a network, have a DOS shell, or have some other memory resident
program running that is hogging your memory!  Show Me Math likes to
hog all of the memory itself!  It may be necessary to re-boot your
computer WITH YOUR ORIGINAL, UNMODIFIED DOS DISK IN YOUR
'A' DRIVE or to rename your 'autoexec.bat' file and re-boot!  Make sure
you use the proper DOS disk or you could do damage to your hard drive! 
You will not be on the network or have any memory resident programs
running if you do this, but you can see this program.  This simple trick
will bypass the 'autoexec.bat' file on your 'C' drive.

        Show Me Math is NOT a game or toy, will my students or children
ever use it?  Most students and children in the U.S. watch a lot of TV
and play a lot of video games, which destroys their attention span and
creativity, such as watching programs like Sesame Street.  Many
educators and software developers make no effort to offset this trend, but
simply give in to it by trying to constantly entertain students and chil-
dren.  Show Me Math, if used properly, will BUILD the attention span of
students and children.  It is a big mistake to try to entertain students
while they are learning - it harms their cognitive learning!


INSTALLATION, SYNTAX AND OTHER NOTES:

        In order to know the full power of this program, you must go
through the steps in this manual, AFTER you have gone through the on-
screen tutorial.  Before explaining how to run the program, it is necessary
to talk about the syntax used in this manual.

1)      Any time you see something surrounded by square brackets (e.g.
        [Enter]), that indicates a single keystroke, not a word.  For
        example, if you see [Enter], you should hit the [Enter] key once, do
        NOT type out the word: E-n-t-e-r.  For example, if you are told to
        type: [Esc]100[Enter], you should hit exactly FIVE keystrokes, the
        [Esc] key, the [1] key, the [0] key, the [0] key, and the [Enter]
        key, in that order.

2)      In an ASCII file it is not possible to underline things, so you
        will have to make your best guess as to what is already on the
        screen and what you need to type in.  For example, if you see:
        A>sm_math[Enter]  - you should hit exactly 8 keystrokes: the

        [s], [m], [_], [m], [a], [t], [h], and [Enter] keys.

        The 'A>' is the DOS prompt, and you can ignore the DOS prompt and
        anything to the LEFT of the '>' DOS prompt character.  For
        example, you might see: A> or B> or C:\SM_MATH> or W:\WP>, etc.
        Anything to the LEFT of the '>' key is part of the DOS prompt.  The
        blinking cursor should be just to the RIGHT of the '>' symbol.  This
        is where you begin typing.


        Since BBS users are accustomed to uncompressing files, creating
new subdirectories, etc. little attempt will be made to teach you these
things.  Obviously you have already uncompressed the Show Me Math
files, so these are some things to remember:

1)      Create a new sub-directory, called 'SM_MATH'.  You don't have to
        call it 'sm_math', but if you call it something else, substitute
        your name for 'sm_math' wherever you see it.

        type:   C:\>md sm_math[Enter]

2)      Go to the new directory.

        type:   C:\>cd\sm_math[Enter]

        Step 2 above is how you get to the program in the future.  You can
ONLY run Show Me Math when you are in the 'sm_math' sub-directory!

3)      Your screen should now look like this (assuming you use
        C:\>prompt $p$g):

        C:\SM_MATH>

If it doesn't, go back to step 1 or 2 until it does!


4)      Next you need to copy all of the files to the new sub-directory.  It
        is important to run Show Me Math from the proper sub-directory
        since there are data files that will be created while Show Me Math
        is running.

5)      Now that Show Me Math is installed, the first thing you should do
   is run the on-screen tutorial.  This is important because there are many
   features of Show Me Math that are not documented in this manual.  To do
   this,

        type:   C:\SM_MATH>sm_math[Enter]

6)      After watching some introductory screens pop up and then go
   away, you should wait until you are looking at a screen that asks you for
   'Your Name' to the left of the highlighted box and blinking cursor.  This
   is the name of an individual's file.  For now, we will use the file:
   william   (actually: william.pro) that comes with the software,

        Your Name       william[Enter]

7)      The instructions for creating your own file are on the screen.  The
   next time you enter Show Me Math by typing 'sm_math' you can create your
   own file.  To get past this screen,

        hit:    [SpaceBar]

8)      Now you should see two columns of words in the Main Menu.  The
   left column represent twenty different GROUPS of modules (a 'module' will
   generate a specific type of math problem, or in other words, a 'set' of
   problems - in this manual the words 'module' and 'set' are generally
   interchangeable).  The column on the right represents the specific
   modules within each group.  As you move the [UpArrow] and [DownArrow]
   keys, you will see all of the modules for each group.  The twenty groups
   have over 160 different modules in them.  Many modules also have sub-
   modules.


RUNNING THE TUTORIAL

        To run the tutorial, while in the left column of the Main Menu,

        hit:    [PageDown]

        You should now be on the bottom, or the 20th, GROUP (see the
  upper right corner of the screen to see the NUMBER of the group you are
  looking at) called: UTILITIES - GROUP 20.  Now,

        hit:    [Enter]

        This will move the highlight bar to the RIGHT column and the upper
   right corner of the screen will show the number of the module the high-
   light bar is on.  Now, move the [DownArrow] until you highlight the mod-
   ule known as: Tutorial/General Information.  Once this option is high
   lighted,

        hit:    [DownArrow] .. 5 times .. [Enter]

        The screen will now turn blank for a moment and you will be in the
   tutorial.  Follow the instructions on the screen until you are done with
   the tutorial.

        When the Tutorial is done, you will return to the Main Menu, and
   the highlight bar will be sitting on the first Group.  There are 20
   groups of modules in Show Me Math.  The first 10 groups are 'beginning'
   level groups.  The next 9 groups are 'advanced' level groups.  This was
   explained in the Tutorial.  Since the advanced groups have a more
   advanced interface, we will use one of these modules for the rest of this
   session.

1)      You should now hit the [DownArrow] key until you highlight the bar
        titled "Advanced Level - Group 11," the 11th Group.  This is the
        first advanced group of modules.

        hit:            [DownArrow] .. 10 times .. [Enter]

2)      The word "Addition" in the right column should now be highlighted. 
        The Module # in the upper right corner of the screen should be #
        201.  Let's do a set of multiplication problems, so

        hit:            [DownArrow][DownArrow]

3)      The word "Multiplication" should now be highlighted,

        hit:            [Enter]

4)      A new screen should appear, and the words "Multiplication /Whole"
        should now be highlighted.

5)      In order to be able to control the problems we will work with, it is
        necessary to change the "seed" which generates random numbers. 
        You learned about the seed in the Tutorial.  Normally it is not
        necessary to change it, but here we will need to.

        hit:            [F4]100[Enter]

6)      The seed, shown in the bottom right corner of the screen, should
        now be equal to 100.  Let's suppose we want the option that says: 
        '2. Multiplication /Whole/HELP'
        We have two ways to execute that option.  First, we could hit:
        2[Enter].  Our other option is to use the [DownArrow] key and then
        hit [Enter] when what we want is highlighted.  We will chose the
        first way,

        type:           2[Enter]

7)      Since the option we have chosen does not allow decimals, the
        program did not ask us how many decimals we wanted.  If this
        tutorial has not been used before, the program will guide us
        through the skill level parameters.  The parameters are where we
        may enter the number of decimals (if allowed by the option), the
        skill levels or ranges (which control the difficulty of the prob-
        lems) and perhaps other information.  (If this tutorial has been
        used before, you may get a pop-up menu that asks if you want to
        change the skill levels - if so - hit [DownArrow][Enter] - the 'Yes'
        option)

        Now enter the following numbers, which represent the # of
        problems and ranges for this set.  If you make a mistake, or if
        other numbers are already in the fields, just use the arrow keys
        and the [Esc] key to clear any error, or to erase the old numbers,
        and enter the correct number(s).  Do NOT deviate from the
        numbers below or the wrong problems will be generated by the
        computer for this sample!

        # Problems in Set               :       10[Enter]
        Minimum Top Number              :       200[Enter]
        Maximum Top Number              :       400[Enter]
        Minimum Bot Number              :       25[Enter]
        Maximum Bot Number              :       35[Enter]

8)      The skill levels/parameters have now been entered.  The program
        has now been told to generate 10 problems in this set, where the
        Multiplicand of each problem will range between 200 and 400, and
        the Multiplier of each problem will range from 25 to 35.  Double
        check the parameters, including the "seed" before continuing!  If
        you have made a mistake, go back to the step where you made
        the mistake and try again.  When you see the words "[Enter] or
        []",

        Hit:            [Enter][Enter]


9)      The second [Enter] was to tell the program we wanted to type the
        answer in from left to right.  The problem:  350 x 33  should now
        be showing on the screen.  Note that the 350, the Multiplicand, is
        between 200 and 400, and note that 33, the Multiplier, is between
        25 and 35.  If this is not the problem showing, you made a mistake
        entering the parameters (if that is the case, hit [F9], go to the
        Main Menu, and get back into this module, change the seed again and
        change the parameters).  If that is the correct problem, now type
        the correct answer, followed by the [Enter] key.  Watch the screen
        as you hit the [Enter] key.

        type:           11550[Enter]            (never type a comma)

10)     The word "Correct" should have very briefly displayed on the
        screen (either highlighted in green or underlined), and a step-by-
        step demonstration/Show Me screen should have appeared.  We
        will talk about these screens below, so for now,

        hit:            [Enter] .. 8 times ..  the next problem will appear.

        For the next five problems, enter the correct answers and skip past
   the step-by-step demonstrations by hitting the [Enter] key several times,

        type:           10944[Enter]    - hit [Enter] .. 8 more times ..
        type:           8960[Enter]     - hit [Enter] .. 8 more times ..
        type:           7136[Enter]     - hit [Enter] .. 8 more times ..
        type:           8850[Enter]     - hit [Enter] .. 6 more times ..
        type:           7875[Enter]     - hit [Enter] .. 8 more times ..

11)     At this point we want to see what happens if we enter an
        INCORRECT answer.  The problem:
        359 x 27 should now be showing.  We know the correct answer is
        9,693.  However, let's type an incorrect answer.  Watch the screen
        as you hit the [Enter] key.

        type:           9699[Enter]

12)     Since we entered an INCORRECT answer, the word "Incorrect"
        briefly popped up, and a 'beep' sounded, and we are given another
        chance to enter the correct answer.  If we miss the answer a total
        of three times, the computer will give us the correct answer.  Let's
        miss it two more times:

        type:           9691[Enter]

        type:           9695[Enter]

13)     The correct answer is highlighted in red (it is reverse-blinking if
        you have a monochrome monitor), and the cursor is sitting at the
        bottom right of the screen next to the phrase: Note Correct Answer,
        Hit Any Key:.

        type:           [Enter]

14)     The computer will now show (i.e. "Show Me Screen"), step-by-
        step how to solve the problem.  Note the "7" in the "27" is
        highlighted (in yellow if you have color - bold if you have
        monochrome), and the "9" in the "359" is highlighted.  Note also
        how the instructions on the side of the screen follow the high-
        lighted items in the main problem.  As you hit the [Enter] key eight
        times, note how the highlighted items change:

        type:           [Enter] .. slowly 8 times ..

15)     Now we should see the next problem:  308 x 31.  Rather than try
        to solve this problem, let's see how to terminate the problem set
        prematurely.  To go back to the Main Menu,

        type:           [F9]


16)     If you have a color monitor, you will now see a pie chart showing
        the percentage of correct answers and incorrect answers for this
        set.  No pie chart will be seen if you have a monochrome monitor.

        ONLY IF you have a color monitor (skip this step if you have
        monochrome),

        type:           [Enter]

17)     If you have a color or a monochrome monitor, you should now see
        a screen with three horizontal bars on it.  This is an information
        screen that gives you, among other things, your grade for the set
        near the top of the screen.  You should see a 'B' for the "Set" and
        a 'B' for "Life."  The life score is saved on the disk.  Elapsed
        time is also shown.

        type:           [Enter]

18)     We are now back to the Main Menu.  If we had not prematurely
        ended the set, we would have gotten a pop-up menu to ask us if
        we wanted to do another set or return to the module's menu.  Let's
        see an example of changing the number of decimals.  Again, since
        we must be able to control the problem set in this manual, we must
        control the seed.  Normally, this is not necessary.

        Hit:            [Enter][Enter][F4]200[Enter]

19)     The first two [Enter]s were to get us back to the multiplication
        module.  The seed should now equal 200.  Now let's chose an
        option which allows decimals, Option #4.  This option will allow the
        user to input a problem of their choice (e.g. from a textbook).

        Hit:            4[Enter]

20)     A pop-up menu has appeared to let us enter from 0 to 3 decimals. 
        Let's choose 1 decimal.

        Hit:            [DownArrow][Enter]

21)     Let's leave all of the other parameters alone:

        type:           [Ctrl/End]    (Note: this is a compound keystroke-
                                      hold down the [Ctrl] key, and while
                                      holding it down, hit the [End] key)

22)     We should now be sitting next to the words, "[Enter] or []",

        hit:            [Enter][Enter]

23)     Now we can enter any problem we want, subject to the limiting
        ranges shown on the bottom right corner of the screen (i.e. from
        -5,000.0 to 5,000.0).  Let's enter the problem 653.2 x 6.3:

        type:           653.2[Enter]     (Note: The "." is the period key)

        type:           6.3[Enter]

24)     We may know that the correct answer is 4,115.16, but whether we
        do or not, let us bypass the process of missing it three times -
        let's go directly to the "Show Me" screen (Note:  the "Show Me"
        screen never works with a Missing Value problem, but it will work
        with a "User Defined" problem):

        hit:            [F5]

25)     We now see the "3" in the "63" highlighted, and the "2" in the
        "6532" highlighted, just like above.  The result of 6532 * 3 is
        shown below the line (19596).  Hit [Enter] 9 times slowly:

        hit:            [Enter] .. slowly 9 times ..

26)     We now see the final answer, 4,115.16.  Note that there are no
        decimal points shown, but that all numbers which would be to the
        right of the decimal point, if you have a color monitor, are shaded
        grey.  If you have a monochrome monitor, the decimal portion of
        the each number will be underlined.  Let's complete the "Show Me
        Screen."

        hit:            [Enter]

27)     The program should now be waiting for us to enter another
        problem.  Instead, let's go back to the Main Menu.

        hit:            [F9]

28)     The pie chart and bar chart did not appear because we did not
        attempt to solve any problems, we simply looked at a
        demonstration screen.

29)     In the Main Menu we cannot hit the number of the option because
        there isn't room on the screen for all of the option numbers.  When
        we returned to the Main Menu our file (i.e. skill levels, lifetime
        scores, etc.) were saved on the disk automatically.

30)     At this point the samples will end.  In the beginning level modules
        (Groups 1 - 10) we cannot control the seed (which is too complex
        of a concept for beginning level students), so the problems
        generated by the program cannot be predicted by this manual.


        You can get back into the program and generate your own
   problems.  Have fun experimenting with this program yourself!

        In future days, to get back into the program, assuming the DOS
prompt is 'B>', simply:

1)      B>C:                    (to get to the C: drive, if the 'C>' prompt
                                 is not already showing)

2)      C>prompt $p$g           (to display the path)

3)      C:\>cd\sm_math          (to get to the proper subdirectory, the DOS
                                prompt does NOT need to be exactly as
                                shown if you do not happen to be in the root
                                directory)

4)      C:\SM_MATH>sm_math      (to run the program)


        The above exercise doesn't show you all of the things this program
does, but it does give you an introduction to how the skill levels work. 
Additional features are listed below.

Some features not demonstrated above:

1)      If you get 30 correct answers in a row, prior to returning to the
        Main Menu, the screen goes berserk - in fun.  Watch it for a few
        minutes.

2)      If you get 100% correct for a problem set, if it had 3 or more
        problems in it, a car race will occur for the beginning level mod-
        ules and a decorative screen will be displayed for the advanced
        modules.  The pie chart only appears if you missed one or more
        problems.

3)      If you get 50% or less correct, if it had 3 or more problems in it,
        the screen turns red.

4)      There is a way to turn on and off the sound (Group #20 in the left
        column of the Main Menu has a module called:  Change Music), so
        that if you score 100% on a set of 3 or more problems, a song up
        to 15 notes long is played.  The fifteen notes can be changed by
        the user, and the sound can be turned on and off in this module. 
        After choosing Group #20  and the "Change Music" module, the
        [Alt/F5] key combination (i.e. hold down the [Alt] key, and while
        holding it down, hit the [F5] key) will show you the values that
        relate to the various pitches.  Other instructions are on the
        screen.

5)      [Alt/F6] - This option will show you all of the prime numbers from
        2 to 3,989.  This is useful when working with primes, LCDs,
        fractions, radicals, etc.  This key combination functions in the
        problem sets while the program is waiting for a number to be input.

6)      [Alt/F7] - allows you to adjust the colors or shades on your monitor
        by turning the control knobs.  This key combination functions in the
        problem sets as above.

        A number of other features are documented in the Tutorial
   discussed above, including pre-programming, skipping the Main Menu,
   etc.
